Bug 234142 - math/metis4: rename library and reduce scope
Summary: math/metis4: rename library and reduce scope
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: needs-qa
Depends on: 234141
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-18 19:12 UTC by Pedro F. Giffuni
Modified: 2019-02-17 08:12 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Patch renaming the library and include dir. (2.79 KB, patch)
2018-12-18 19:12 UTC, Pedro F. Giffuni
koobs: maintainer-approval? (ports-bugs)
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2018-12-18 19:12:29 UTC
Created attachment 200238 [details]
Patch renaming the library and include dir.

We dont ship metis4 due to a commercial licensing restrictions which have changed/fixed for Metis 5.

The package is not altogether obsolete as some older softare still uses it.

Rename the library to match the portname.

Don't produce a shared library anymore: a shared library was never supported by the original build. We don't ship the resulting package anyways so let potential consumers link the library statically if needed.

The only port that depends currently on the metis shared library (taucs) will be moved to metis5 (PR 234141).

This should get rid of the "missing dependency" the packaging system used to bug with.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-19 02:38:27 UTC
Reporter is (src) committer, assign accordingly.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-19 02:39:49 UTC
Comment on attachment 200238 [details]
Patch renaming the library and include dir.

Needs ports (committer) review/approval
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-19 02:40:13 UTC
Comment on attachment 200238 [details]
Patch renaming the library and include dir.

Approved by: portmgr (unmaintained port)

Pending QA / ports approval
Comment 4 Pedro F. Giffuni freebsd_committer 2019-02-10 23:55:06 UTC
Back to the pool, I have no power to commit this without ports@ approval.